---
stage: Create
group: Code Review
info: To determine the technical writer assigned to the Stage/Group associated with this page, see https://about.gitlab.com/handbook/product/ux/technical-writing/#assignments
---

<!--
This documentation is auto generated by a script.
Please do not edit this file directly. Run `make gen-docs` instead.
-->

# `glab variable get`

get a project or group variable

```plaintext
glab variable get <key> [flags]
```

## Examples

```plaintext
glab variable get VAR_KEY
         glab variable get -g GROUP VAR_KEY
glab variable get -s SCOPE VAR_KEY

```

## Options

```plaintext
  -g, --group string   Get variable for a group
  -s, --scope string   The environment_scope of the variable. All (*), or specific environments. (default "*")
```

## Options inherited from parent commands

```plaintext
      --help              Show help for command
  -R, --repo OWNER/REPO   Select another repository using the OWNER/REPO or `GROUP/NAMESPACE/REPO` format or full URL or git URL
```
